package org.dromara.system.service;

import org.dromara.system.domain.TblMiniprogram;
import org.dromara.system.domain.vo.TblMiniprogramVo;
import org.dromara.system.domain.bo.TblMiniprogramBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 小程序信息Service接口
 *
 * @author Lion Li
 * @date 2024-07-18
 */
public interface ITblMiniprogramService {

    /**
     * 查询小程序信息
     */
    TblMiniprogramVo queryById(Long id);

    /**
     * 查询小程序信息列表
     */
    TableDataInfo<TblMiniprogramVo> queryPageList(TblMiniprogramBo bo, PageQuery pageQuery);

    /**
     * 查询小程序信息列表
     */
    List<TblMiniprogramVo> queryList(TblMiniprogramBo bo);

    /**
     * 新增小程序信息
     */
    Boolean insertByBo(TblMiniprogramBo bo);

    /**
     * 修改小程序信息
     */
    Boolean updateByBo(TblMiniprogramBo bo);

    /**
     * 校验并批量删除小程序信息信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
